routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\WebsiteController;

Route::get('locale/{locale}', function ($locale){
    Session::put('locale', $locale);
    return redirect()->back();
});

Route::view('/', 'website.index')->name('home');
Route::view('/about', 'website.about')->name('about');
Route::get('banners-data', [WebsiteController::class, 'banners']);
Route::get('/solutions/{solution}', [WebsiteController::class, 'solution'])->name('solutions.show');
Route::view('/services', 'website.services')->name('services');
Route::view('/contact', 'website.contact')->name('contact');
Route::view('/privacy-policy', 'website.privacy')->name('privacy');
// Route::post('download-presentation', [WebsiteController::class, 'download_presentation'])->name('download-presentation');
// Route::get('products-and-services-catalog', [WebsiteController::class, 'our_corporate_presentation']);
Route::middleware(['auth:sanctum', 'verified'])->get('/dashboard', function () {
    return view('dashboard');
})->name('dashboard');

app/Http/Controllers/WebsiteController.php
<?php

namespace App\Http\Controllers;

use App\Models\Subscriber;
use Illuminate\Http\Request;
use Validator;

class WebsiteController extends Controller
{
    public function solution($solution){
        $view = 'website.solutions.' . $solution;
        if(view()->exists($view)){
            return view($view);
        }else{
            return abort(404);
        }
    }


    public function banners(){

        $banners = [

            [
                'title' => __('website.solutions.enterprise.title'),
                'short_desc' => __('website.solutions.enterprise.short_desc'),
                'route' => __('website.solutions.enterprise.route'),
                'icon' => __('website.solutions.enterprise.icon'),
                'image' => __('website.solutions.enterprise.image'),
            ],

            [
                'title' => __('website.solutions.data-center.title'),
                'short_desc' => __('website.solutions.data-center.short_desc'),
                'route' => __('website.solutions.data-center.route'),
                'icon' => __('website.solutions.data-center.icon'),
                'image' => __('website.solutions.data-center.image'),
            ],

            [
                'title' => __('website.solutions.its.title'),
                'short_desc' => __('website.solutions.its.short_desc'),
                'route' => __('website.solutions.its.route'),
                'icon' => __('website.solutions.its.icon'),
                'image' => __('website.solutions.its.image'),
            ],

            [
                'title' => __('website.solutions.software.title'),
                'short_desc' => __('website.solutions.software.short_desc'),
                'route' => __('website.solutions.software.route'),
                'icon' => __('website.solutions.software.icon'),
                'image' => __('website.solutions.software.image'),
            ],

            [
                'title' => __('website.solutions.electronic.title'),
                'short_desc' => __('website.solutions.electronic.short_desc'),
                'route' => __('website.solutions.electronic.route'),
                'icon' => __('website.solutions.electronic.icon'),
                'image' => __('website.solutions.electronic.image'),
            ],

            [
                'title' => __('website.solutions.cyber-security.title'),
                'short_desc' => __('website.solutions.cyber-security.short_desc'),
                'route' => __('website.solutions.cyber-security.route'),
                'icon' => __('website.solutions.cyber-security.icon'),
                'image' => __('website.solutions.cyber-security.image'),
            ],

            [
                'title' => __('website.solutions.access-and-wireless.title'),
                'short_desc' => __('website.solutions.access-and-wireless.short_desc'),
                'route' => __('website.solutions.access-and-wireless.route'),
                'icon' => __('website.solutions.access-and-wireless.icon'),
                'image' => __('website.solutions.access-and-wireless.image'),
            ],

        ];

        return $banners;

    }

    public function download_presentation(Request $request){

        $rules = [
            'name' => 'required|string',
            'email' => 'required|email|unique:subscribers',
            'company' => 'required|string',
        ];

        $validate = Validator::make($request->except('_token'), $rules)
            ->validate();

        $subscriber = new Subscriber();    
        $subscriber->name = $request->name;
        $subscriber->email = $request->email;
        $subscriber->company = $request->company;
        $subscriber->save();

        $presentation = public_path('files-xf2021w3/dynamic_communications_catalog_2021.pdf');

        // we need to download the presentation file
        return response()->download($presentation);

    }

    public function our_corporate_presentation(){
        $presentation = public_path('files-xf2021w3/dynamic_communications_catalog_2021.pdf');
        return response()->file($presentation);
    }

}

app/View/Components/GuestLayout.php
<?php

namespace App\View\Components;

use Illuminate\View\Component;

class GuestLayout extends Component
{
    /**
     * Get the view / contents that represents the component.
     *
     * @return \Illuminate\View\View
     */
    public function render()
    {
        return view('layouts.guest');
    }
}

app/View/Components/PageLayout.php
<?php

namespace App\View\Components;

use Illuminate\View\Component;

class PageLayout extends Component
{
    /**
     * Create a new component instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Get the view / contents that represent the component.
     *
     * @return \Illuminate\View\View|string
     */
    public function render()
    {
        return view('layouts.page');
    }
}

resources/views/website/about.blade.php
<x-page-layout>
    @section('page-title', '| About Us')
    <!-- OVERVIEW -->
    <section class="bg-overlay py-10 lg:py-40 shadow md:bg-fixed" style="background-image: url('/img/unsplash/sean-pollock-PhYq704ffdA-unsplash.jpg')">
        <div class="website-container">
            <div class="flex items-center space-x-20">
                <div class="w-full md:w-2/3 text-white mx-auto text-left md:text-center">
                    <h3 class="text-lg font-bold uppercase opacity-50">About Us</h3>
                    <h1 class="slick-title uppercase wow animate__fadeInUp">Overview</h1>
                    <p class="text-base md:text-xl lg:text-2xl">
                    For now more than {{ config('app.years_of_experience') }} years, <b>Dynamic Communications</b> has been an industry leader in Seamless International IP Telephony Applications, Data Networks and Structured Cabling Solutions. Our customers range from Small Businesses to Large Multinational Companies, across a variety of Vertical Markets.
                    </p>
                </div>
            </div>
        </div>
    </section>
    <!-- HISTORY -->
    <section class="py-10 lg:py-20" id="history">
        <div class="website-container">
            <div class="bg-danger block lg:flex lg:items-stretch rounded shadow-xl overflow-hidden">
                <div class="w-full lg:w-1/2 p-7 lg:p-15">
                    <h1 class="h3 wow animate__fadeInUp text-white" data-wow-delay=".5s">
                        History
                    </h1>

                    <p class="mb-4 text-white">
                    <b>Dynamic Communications</b> was founded on Q3 1998, and got fully operational on Q1 1999 under the visionary and innovative idea of bringing <b>Dynamic Communications</b> Solutions to all SME and Manufacturing industries on the northwestern region of Mexico; When operations started our company was 100% focused on bringing integrated telecommunications services, high quality IT equipment and the best customer oriented care to all businesses in our region and we keep that oath today.
                    </p>

                    <p class="mb-4 text-white">
                    As business grew our operations grew as well then we realized that we needed to expand to other parts of Mexico like Mexicali, Hermosillo, Nogales, CD Juarez, Chihuahua, La Paz among others; after establishing our company at these other regions we positioned ourselves as the leader provider of telecommunication and IT solutions, the following years we dedicated our time and effort to exceed our customers’ expectations by delivering compelling and state-of-the-art solutions helping our customer on becoming leaders their respective markets.
                    </p>
                </div>
                <div class="w-full h-auto md:h-96 lg:h-auto lg:w-1/2 bg-overlay p-7 lg:p-15" style="background-image: url('/img/unsplash/bruce-mars-xj8qrWvuOEs-unsplash.jpg')">
                    <div class="relative z-10 h-full w-full flex flex-col">
                        <p class="text-white text-xl md:text-3xl font-bold uppercase leading-tight md:leading-normal mb-15">
                            We welcome you on this exciting history as we help you achieve your goals.
                        </p>
                        <div class="opacity-25 mt-auto">
                            <img src="/img/svg/logo_dynacom_xs.svg" class="w-32 lg:w-48 h-auto wow animate__bounceInUp" data-wow-delay=".25s" data-wow-duration="1.5s" alt="">
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </section>
    <!-- PRESENCE -->
    <section class="bg-dark-900 py-10 lg:py-32" id="presence">
        <div class="website-container">
            <div class="flex">
                <div class="w-full lg:w-3/4 mx-auto block md:flex items-center space-x-0 md:space-x-24">
                    <div class="w-full md:w-1/2 px-4 md:px-10 mb-15 md:mb-0">
                        <img src="/img/svg/map_dot.svg" class="w-full h-auto" alt="">
                    </div>    
                    <div class="w-full text-center md:text-left md:w-1/3">
                        <h1 class="h3 text-white wow animate__fadeInUp">PRESENCE</h1>
                        <ul class="text-sm lg:text-xl text-white font-bold space-y-2 uppercase">
                            <li class="wow animate__fadeInRight" data-wow-delay=".1s" data-wow-duration="1.5s">Tijuana</li>
                            <li class="wow animate__fadeInRight" data-wow-delay=".2s" data-wow-duration="1.5s">Mexicali</li>
                            <li class="wow animate__fadeInRight" data-wow-delay=".3s" data-wow-duration="1.5s">La Paz</li>
                            <li class="wow animate__fadeInRight" data-wow-delay=".4s" data-wow-duration="1.5s">Nogales</li>
                            <li class="wow animate__fadeInRight" data-wow-delay=".5s" data-wow-duration="1.5s">Hermosillo</li>
                            <li class="wow animate__fadeInRight" data-wow-delay=".6s" data-wow-duration="1.5s">Cd. Juárez</li>
                            <li class="wow animate__fadeInRight" data-wow-delay=".7s" data-wow-duration="1.5s">Chihuahua</li>
                            <li class="wow animate__fadeInRight" data-wow-delay=".8s" data-wow-duration="1.5s">San Luis Potosí</li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </section>
    @livewire('website-partners')
</x-page-layout>

resources/views/website/contact.blade.php
<x-guest-layout>
    @section('page-title', '| Contact Us')
    <!-- CONTACT US -->
    <section class="bg-overlay py-10 lg:py-20 shadow md:bg-fixed" 
        style="background-image: url('/img/unsplash/sean-pollock-PhYq704ffdA-unsplash.jpg')">
        <div class="website-container">
            <div class="flex items-center space-x-20">
                <div class="w-full md:w-2/3 text-white mx-auto text-left md:text-center">
                    <h1 class="text-6xl font-bold uppercase wow animate__fadeInUp">Contact Us</h1>
                </div>
            </div>
        </div>
    </section>
    <section class="bg-white py-24">
        <div class="website-container flex items-center">
            <div class="w-2/3">
                <p><b>Dynacom MX</b> (664) 622-7030</p>
                <p><b>Dynacom U.S</b> (619) 616-2850</p>
                <p><b>Email:</b> info@godynacom.com</p>
            </div>
        </div>
    </section>
</x-guest-layout>

resources/views/website/index.blade.php
<x-guest-layout>
	@section('page-title', '| Welcome')
	@livewire('website-carousel')
	@livewire('website-icons-list')
	@livewire('website-home-overview')
	@livewire('website-home-services')	
	@livewire('website-certifications')
	@livewire('request-presentation-form')
</x-guest-layout>

resources/views/website/privacy.blade.php
<x-guest-layout>
    @section('page-title', '| Privacy Policy')
    <section class="py-10">
        <div class="website-container bg-white">

            <div class="w-full md:w-2/3 mx-auto">
                <h1 class="h3 text-gray-600 wow animate__fadeInUp">Privacy Policy</h1>

                <p class="lead">This privacy notice discloses the privacy practices for (www.godynacom.com). This privacy notice applies solely to information collected by this web site. It will notify you of the following:</p>

                <ul class="font-bold text-xl space-y-4 mb-7">
                    <li>What personally identifiable information is collected from you through the web site, how it is used and with whom it may be shared.</li>
                    <li>What choices are available to you regarding the use of your data?</li>
                    <li>The security procedures are in place to protect the misuse of your information.</li>
                    <li>How you can correct any inaccuracies in the information.</li>
                </ul>


                <p class="subtitle wow animate__fadeInUp">Information Collection, Use, and Sharing</p>

                <p class="lead">We are the sole owners of the information collected on this site. We only have access to/collect information that you voluntarily give us via email or other direct contact from you. We will not sell or rent this information to anyone. We will use your information to respond to you, regarding the reason you contacted us. We will not share your information with any third party outside of our organization, other than as necessary to fulfill your request, e.g. to ship an order. Unless you ask us not to, we may contact you via email in the future to tell you about specials, new products or services, or changes to this privacy policy.</p>

                <p class="subtitle wow animate__fadeInUp">Your Access to and Control Over Information</p>

                <p class="lead">You may opt out of any future contacts from us at any time. You can do the following at any time by contacting us via the email address or phone number given on our website:</p>

                <ul class="font-bold text-xl space-y-4 mb-7">
                    <li>See what data we have about you, if any.</li>
                    <li>Change/correct any data we have about you.</li>
                    <li>Have us delete any data we have about you.</li>
                    <li>Express any concern you have about our use of your data.</li>
                </ul>

                <p class="subtitle wow animate__fadeInUp">Security</p>

                <p class="lead">We take precautions to protect your information. When you submit sensitive information via the website, your information is protected both online and offline. Wherever we collect sensitive information (such as credit card data), the information is encrypted and transmitted to us in a secure way. You can verify this by looking for a closed lock icon at the bottom of your web browser, or looking for "https" at the beginning of the address of the web page.</p>

                <p class="lead">While we use encryption to protect sensitive information transmitted online, we also protect your information offline. Only employees who need the information to perform a specific job (for example, billing or customer service) are granted access to personally identifiable information. The computers/servers in which we store personally identifiable information are kept in a secure environment. If you feel that we are not abiding by this privacy policy, you should contact us immediately via telephone at (619) 616 2850 or via email (info@godynacom.com)</p>
            </div>

        </div>
    </section>
</x-guest-layout>

resources/views/website/services.blade.php
<x-guest-layout>
    @section('page-title', '| Smart-D Services')
    <!-- Cover -->
    <x-services-cover title="SMART-D SERVICES" bgimg="/img/unsplash/krakenimages-376KN_ISplE-unsplash.jpg">
        <x-slot name="description">
            <p class="lead text-white">
                Smart D services change the way you think about IT solutions, gathering, implementing and enhancing your network infrastructure to its full potential, helping you unleash the power of true collaboration environments, empowering your IT tools and increasing your company's productivity exponentially. 
            </p>
        </x-slot>
    </x-services-cover>
    <!-- IT/CLOUD CONSULTING (DYNACOM ONE APPROACH) -->
    <div id="it-consulting">
        <x-section-split title="IT/CLOUD CONSULTING (DYNACOM ONE APPROACH)" pathimg="/img/unsplash/dane-deaner-iJ1lw8iNIy8-unsplash.jpg">
            <x-slot name="description">
                <p class="lead">Our Team of specialized consulters will advise you in the latest technological trends and solutions, they can assist you ascertain which technology is best for you, based on the world´s best practices and case studies.</p>

                <p class="lead">When you interact with one of our highly skilled consulters, he/she will listen to your needs, catering them as a valued member of your internal IT Staff. Remember we are here to help you; our ONE Account Managers will lead you to the resolution of all your IT needs.</p>
            </x-slot>
        </x-section-split>
    </div>

    <!-- MAINTENANCE CONTRACTS & SERVICE POLICIES -->
    <div id="maintenance">
        <x-section-split-inverse title="MAINTENANCE CONTRACTS & SERVICE POLICIES" pathimg="/img/unsplash/razvan-chisu-Ua-agENjmI4-unsplash.jpg">
            <x-slot name="description">
                <p class="lead">We understand that you require business continuity to lead your respective market, and this is why we developed our maintenance contracts so you can rest easy and let us take care of all your IT equipment for you, ensuring optimal functionality all the time. We have established the policy that is right for you.</p>
            </x-slot>
        </x-section-split-inverse>
    </div>

    <!-- NETWORK ASSESSMENT (LAN, WAN AND WIFI) -->
    <div id="network-assessment">
        <x-section-bg-fixed title="NETWORK ASSESSMENT (LAN, WAN AND WIFI)" pathimg="/img/unsplash/fluke_networks.jpg">
            <x-slot name="description">
                <p class="lead text-white">Have you experienced bottlenecks or slowdowns in your network and you don't know why? We can offer a network assessment for your system´s infrastructure to validate if it is running smoothly or not, most of the time network slowdown is due configuration errors that can be easily fixed or just wrong cabling/hotspot distribution.</p>
            </x-slot>
        </x-section-bg-fixed>
    </div>

    <!-- IT EQUIPMENT CONFIGURATION AND INSTALLATION -->
    <div id="it-equipment">
        <x-section-solid-and-overlay title="IT EQUIPMENT CONFIGURATION AND INSTALLATION" bgimg="/img/unsplash/nathan-dumlao-kEOLkJksbc8-unsplash.jpg">
            <x-slot name="description">
                <p class="lead text-white">Need help installing or configuring your IT equipment, we can help you with that, our team of engineers are always ready to help no matter the issue at hand, from simply setting up a mail server to installing and configuring a blade server system we have the knowledge to assist you with every IT need.</p>
            </x-slot>
        </x-section-solid-and-overlay>
    </div>

    <!-- HELP DESK -->
    <div id="help-desk">
        <x-section-split id="helpdesk" title="HELP DESK" pathimg="/img/unsplash/arlington-research-Kz8nHVg_tGI-unsplash.jpg">
            <x-slot name="description">
                <p class="lead">Need to configure, reconfigure or update all your computers in your company but you lack of an IT department, need to install a network printer for your employees, we have all the right solutions for that, our specialized tech support team can resolve those issues for you, so now can attend what matters most - your customers.</p>
            </x-slot>
        </x-section-split>
    </div>
</x-guest-layout>